/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

document.getElementById('btnAgregarPagoTitulacion').disabled = true;
$("#bancoT").hide();
$("#efectivoT").hide();

$("#btnTitulacion").click(function () {
    validarTitulacion();
});

$("#btnModCerrarAgregarPagoTitulacion").click(function () {
    location.reload();
});

function limpiarCamposTitulacion() {
    $("#bancoT").hide();
    $("#efectivoT").hide();
    $("#montoAbonarTitulacion").val("");
    $("#modoPagoTitulacion").val("default");
    $("#referenciaTitulacion").val("");
    $("#pConT").val("");
    $("#cambioT").val("");
}

function validarTitulacion() {
    var ideAlu = $("#idAlu").val();
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/validar-titulacion',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideAlu: ideAlu},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("contenedorAgregarPagoTitulacion").innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> cargando...</strong>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("contenedorAgregarPagoTitulacion").innerHTML = respuesta;
            var vanderaTitulacion = document.getElementById('banderaTitulacion').value;
            console.log(vanderaTitulacion);
            if (vanderaTitulacion > 1) {
                // ACTIVAR
                document.getElementById('btnAgregarPagoTitulacion').disabled = false;
            } else {
                // DESACTIVAR
                document.getElementById('btnAgregarPagoTitulacion').disabled = true;
            }
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            document.getElementById("contenedorAgregarPagoTitulacion").innerHTML = "Error al interpretar datos";
            alert('Disculpe, existió un problema');
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}

function registrarTitulacion() {
    var costoTitulacion = document.getElementById('costoTitulacion').value;
    if (costoTitulacion == "" | costoTitulacion == 0) {
        alert("Debe ingresar el costo del tramite de TITULACION");
    } else {
        var respuesta = confirm("EL COSTO DE TITULACIÓN ES: " + costoTitulacion + "\nDESEA CONTINUAR ??");
        if (respuesta == true) {
            guardarTitulacion(costoTitulacion);
        } else {
            alert("SE CANCELó");
        }
    }

}


function guardarTitulacion(cT) {
    var ideAlu = $("#idAlu").val();
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/guardar-titulacion',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideAlu: ideAlu, cT: cT},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("contenedorAgregarPagoTitulacion").innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> cargando...</strong>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            limpiarCamposTitulacion();
            document.getElementById("contenedorAgregarPagoTitulacion").innerHTML = respuesta;
            var vanderaTitulacion = document.getElementById('banderaTitulacion').value;
            console.log(vanderaTitulacion);
            if (vanderaTitulacion > 1) {
                // ACTIVAR
                document.getElementById('btnAgregarPagoTitulacion').disabled = false;
            } else {
                // DESACTIVAR
                document.getElementById('btnAgregarPagoTitulacion').disabled = true;
            }
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            document.getElementById("contenedorAgregarPagoTitulacion").innerHTML = "Error al interpretar datos";
            alert('Disculpe, existió un problema');
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}

$("#modoPagoTitulacion").change(function () {
    if ($(this).val() == "default") {
        $("#bancoT").hide();
        $("#efectivoT").hide();
    } else if ($(this).val() == 0 | $(this).val() == 2 | $(this).val() == 3) { // BOUCHER // TRANSFERENCIA // TERMINAL
        $("#efectivoT").hide();
        $("#bancoT").show();
    } else if ($(this).val() == 1) { // EFECTIVO
        $("#bancoT").hide();
        $("#efectivoT").show();
    }
});

$("#pConT").change(function () {
    var efectivo = $(this).val();
    var total = document.getElementById("montoAbonarTitulacion").value;
    var cambio = efectivo - total;
    $("#cambioT").val("$ " + cambio);
});

function agregarPagoTitulacion() {
    var ideAlu = $("#idAlu").val();
    var ref = $("#referenciaTitulacion").val();
    var modoPago = $("#modoPagoTitulacion").val();
    var montoAbonarTitulacion = document.getElementById('montoAbonarTitulacion').value;
    var recargos = 0;
    //console.log(recargos);
    var ideRs = $("#rsM").val();
    if (modoPago === "1") { // PAGÓ EN EFECTIVO
        var d = new Date();
        ref = "";
        ref = ref.concat(d.getFullYear(), d.getMonth(), d.getDate(),
                d.getHours(), d.getMinutes(), d.getSeconds());
    }

    if (modoPago == "0" | modoPago == "2" | modoPago == "3") {
        if (ref == "") {
            alert("FALTA INGRESAR EL FOLIO DEL COMPROBANTE DE PAGO");
        } else {
            guardarPagoTitulacion(ideAlu, ref, modoPago, montoAbonarTitulacion, recargos);
        }
    } else if (modoPago == "default") {
        //$('#modoPagoI').css({"background-color": "yellow", "font-size": "200%"})
        alert("SELECCIONA EL MODO DE PAGO");
    } else {
        guardarPagoTitulacion(ideAlu, ref, modoPago, montoAbonarTitulacion, recargos);
    }
}

function guardarPagoTitulacion(ideAlu, ref, modoPago, montoAbonarTitulacion, recargos) {
    var debe = document.getElementById('faltaTitulacion').value;
    debe = debe * 1;
    console.log("DEBE:" + debe);
    if (montoAbonarTitulacion == 0) {
        alert("Está abonando una cantidad con cero pesos");
    } else {
        if (debe == 0) {
            alert("YA HA FINALIZADO DE PAGAR");
        } else if (montoAbonarTitulacion > debe) {
            alert("EL MONTO ES MAYOR A LO REQUERIDO.");
        } else {
            $.ajax({
                // la URL para la petición
                url: '/ControlCeepam/web/app_dev.php/guardar-pago-titulacion',
                // la información a enviar
                // (también es posible utilizar una cadena de datos)
                data: {ideAlu: ideAlu, ref: ref, modoPago: modoPago, monto: montoAbonarTitulacion, recargos: recargos},
                // especifica si será una petición POST o GET
                type: 'POST',
                // el tipo de información que se espera de respuesta
                dataType: 'html',
                // código a ejecutar si la petición es satisfactoria;
                // la respuesta es pasada como argumento a la función
                beforeSend: function () {
                    document.getElementById("contenedorAgregarPagoTitulacion").innerHTML = '<i class="fa fa-spin fa-spinner"></i><strong> cargando...</strong>';
                },
                success: function (respuesta) {
                    //alert("Correcto");
                    //$("#gif2").hide();
                    document.getElementById("contenedorAgregarPagoTitulacion").innerHTML = respuesta;
                    var debe = document.getElementById('faltaTitulacion').value;
                    debe = debe * 1;
                    console.log("NUEVO DEBE: " + debe);
                },
                // código a ejecutar si la petición falla;
                // son pasados como argumentos a la función
                // el objeto de la petición en crudo y código de estatus de la petición
                error: function (xhr, status) {
                    alert('Disculpe, existió un problema');
                    document.getElementById("contenedorAgregarPagoTitulacion").innerHTML = "";
                },

                // código a ejecutar sin importar si la petición falló o no
                complete: function (xhr, status) {
                    //alert('Petición realizada');
                }
            });
        }
    }

}